const _S                             = require("nv-server-simple-stream").http.simple;
const _cmmn                          = require("nv-remote-user-local-eng")._cmmn;
const _err_bsc                       = require("nv-error-basic");
module.exports = async(D,res,srv) => {
    let [cond,err] = await srv.validate_(D,"/loan_admin/interest_incr",srv);
    if(cond) {
        let db = srv.db;
        let body = _cmmn.buf2json(D.body); 
        body.oper = err;
        if(body.sheet_id) {
            try {
                BigInt(body.interest_incr);
                return(await db.interest_incr(body))
            } catch(err) {
                let r = await _S.reply_with_json(res,{err:'need-{interest_incr:"..."}',rslt:null});
                return(r)
            }
        } else {
            let r = await _S.reply_with_json(res,{err:'need-{sheet_id:"..."}',rslt:null});
            return(r)
        }
    } else {
        let r = await _S.reply_with_json(res,{err,rslt:null});
        //let r = await _S.reply_with_json_br(D,res,{err,rslt:null});
        return(r)
    }
}
